Attribute VB_Name = "mMain"
Option Explicit

Private Declare Function GetInstanceEx Lib "DirectCom" _
    (StrPtr_FName As Long, _
     StrPtr_ClassName As Long, _
     ByVal UseAlteredSearchPath As Boolean) As Object
Private Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" _
    (ByVal lpLibFileName As String) As Long
Private Declare Function FreeLibrary Lib "kernel32" _
    (ByVal hLibModule As Long) As Long

Public New_c As cConstructor
Public Cairo As cCairo


Sub Main()
Dim fMain As cfMain
Dim hLib As Long

  If App.LogMode <> 0 Then
    hLib = LoadLibrary(App.Path & "\RC5\DirectCOM.dll")
    Set New_c = GetInstanceEx(StrPtr(App.Path & "\RC5\vbRichClient5.dll"), _
                StrPtr("cConstructor"), True)
  Else
    Set New_c = New cConstructor
  End If
  
  Set Cairo = New_c.Cairo
  Cairo.ImageList.AddImage "appIcn", LoadResData(1, 3)

  
  If App.LogMode <> 0 Then
    Set fMain = New_c.RegFree.GetInstance(App.Path & "\RC5_05.dll", "cfMain")
  Else
    Set fMain = New cfMain
  End If
  fMain.Form.Caption = "Kontakte - VB6"
  fMain.Show
  Cairo.WidgetForms.EnterMessageLoop
  If hLib <> 0 Then FreeLibrary hLib
  
End Sub

